org.eclipse.lyo.oslc4j.core.model

## Class ServiceProviderFactory

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.ServiceProviderFactory

-     public final class ServiceProviderFactory
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceProvider` | `createServiceProvider(String baseURI, String genericBaseURI, String title, String description, Publisher publisher, Class<?>[] resourceClasses)`
    `static ServiceProvider` | `createServiceProvider(String baseURI, String genericBaseURI, String title, String description, Publisher publisher, Class<?>[] resourceClasses, Map<String,Object> pathParameterValues)`
    `static ServiceProvider` | `initServiceProvider(ServiceProvider serviceProvider, String baseURI, String genericBaseURI, String title, String description, Publisher publisher, Class<?>[] resourceClasses, Map<String,Object> pathParameterValues)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createServiceProvider

          public static ServiceProvider createServiceProvider(String baseURI,
                                              String genericBaseURI,
                                              String title,
                                              String description,
                                              Publisher publisher,
                                              Class<?>[] resourceClasses)
                                                       throws OslcCoreApplicationException,
                                                              URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

    - #### createServiceProvider

          public static ServiceProvider createServiceProvider(String baseURI,
                                              String genericBaseURI,
                                              String title,
                                              String description,
                                              Publisher publisher,
                                              Class<?>[] resourceClasses,
                                              Map<String,Object> pathParameterValues)
                                                       throws OslcCoreApplicationException,
                                                              URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

    - #### initServiceProvider

          public static ServiceProvider initServiceProvider(ServiceProvider serviceProvider,
                                            String baseURI,
                                            String genericBaseURI,
                                            String title,
                                            String description,
                                            Publisher publisher,
                                            Class<?>[] resourceClasses,
                                            Map<String,Object> pathParameterValues)
                                                     throws OslcCoreApplicationException,
                                                            URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

Copyright © 2016. All rights reserved.